<?php
require'f_barnbuddy.php';
$x1='';
$x2='';
$x3='';
$categorii=[1=>['/categorie/1-plante','Plante',0,1500],2=>['/categorie/2-flori','Flori',1,2000],3=>['/categorie/3-animale','Animale',3,2500]];
if($cid!='')
{
$x1=' - '.$categorii[$cid][1];
$x2=$categorii[$cid][0];
$x3=$categorii[$cid][2];
}
$titlu='Experiență Barn Buddy'.$x1;
require'f_sus.php';
echo$div[4].'Experiență Barn Buddy'.$x1.$div[5];
if($cid!='')
{
if(!in_array($cid,array_keys($categorii)))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai ales o categorie definită în script!'.$div[0];
require'f_jos.php';
}
$elemente=$conn->query('SELECT COUNT(*)FROM`barnbuddy_magazin`WHERE`tip`="'.$categorii[$cid][2].'"')->fetch_row()[0];
if($elemente>0)
{
require'f_paginare1.php';
$cou=$limit_start;
$items=$conn->query('SELECT`id`,`nume`FROM`barnbuddy_magazin`WHERE`tip`="'.$categorii[$cid][2].'"ORDER BY`bani`LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
$cou++;
echo$div[1].$cou.' - ';
$unitati=$conn->query('SELECT`valoare`FROM`barnbuddy_experienta`WHERE`de`="'.$de.'"&&`pid`="'.$item[0].'"')->fetch_row()[0];
if($unitati>=1000)
{
echo'Ai câștigat <strong>'.number_format($categorii[$cid][3]).'</strong> bani!<br />';
$conn->query('UPDATE`barnbuddy_experienta`SET`valoare`="0"WHERE`de`="'.$de.'"&&`pid`="'.$item[1].'"');
$conn->query('UPDATE`barnbuddy_membrii`SET`bani`=bani+'.$categorii[$cid][3].' WHERE`de`="'.$de.'"');
}
echo'Mai trebuie să strângi încă <strong>'.number_format((1000-$unitati)).'</strong> experiență pentru <strong>'.htmlspecialchars($item[1]).'</strong>, și câștigi <strong>'.number_format($categorii[$cid][3]).'</strong> bani!'.$div[0];
}
require'f_paginare2.php';
}
else
echo$div[7].'Momentan nu sunt '.$categorii[$cid][1].' adăugate în magazin!'.$div[0];
}
else
{
$numar_categorii=count($categorii)+1;
for($i=1;$i<$numar_categorii;$i++)
{
echo$div[1].'<a href="/experienta-barnbuddy'.$categorii[$i][0].'">'.$categorii[$i][1].'</a> <strong>'.number_format($conn->query('SELECT COUNT(*)FROM`barnbuddy_magazin`WHERE`tip`="'.$categorii[$i][2].'"')->fetch_row()[0]).'</strong>'.$div[0];
}
}
require'f_jos.php';